Subject: [BEHAVE] [Errata Rejected] RFC6052 (5547)

From: RFC Errata System <[email-masked]>
Date: Mon, 26 Nov 2018 04:32:18 -0800 (PST)

The following errata report has been rejected for RFC6052,
"IPv6 Addressing of IPv4/IPv6 Translators".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5547

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Fred Baker <[email-masked]>
Date Reported: 2018-11-06
Rejected by: Mirja Kühlewind (IESG)

Section: 3.1

Original Text
-------------
   The Well-Known Prefix MUST NOT be used to represent non-global IPv4
   addresses, such as those defined in [RFC1918] or listed in Section 3
   of [RFC5735].  Address translators MUST NOT translate packets in
   which an address is composed of the Well-Known Prefix and a non-
   global IPv4 address; they MUST drop these packets.

Corrected Text
--------------
The paragraph should be removed.

Notes
-----
IPv4 packets with private addresses are routinely translated to IPv4 packets with global addresses in NAT44. If a 464XLAT CLAT (stateless NAT64) cannot translate a private address to an IPv6 /96 prefix with that address as an IID (or whatever it's called), then the packet may not be translated to an IPv4 packet with a global address by the 464XLAT PLAT (stateful NAT64). This changes the intent of the sender, and in so doing violates the end to end principle. Practically speaking, it means that a network that uses 464XLAT or MAP-T with IPv4 in the subscriber and translating to IPv4 via NAT64 into the IPv4 Internet, it forces the network or the subscriber to purchase global address space. That's just silly. Let the user use private address space in the home or whatever.
 --VERIFIER NOTES-- 
The orginial text was intended at time of publication. If this is not current anymore, the RFC needs to be updated by an IETF consensus doc.

--------------------------------------
RFC6052 (draft-ietf-behave-address-format-10)
--------------------------------------
Title               : IPv6 Addressing of IPv4/IPv6 Translators
Publication Date    : October 2010
Author(s)           : C. Bao, C. Huitema, M. Bagnulo, M. Boucadair, X. Li
Category            : PROPOSED STANDARD
Source              : Behavior Engineering for Hindrance Avoidance
Area                : Transport
Stream              : IETF
Verifying Party     : IESG